﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Phone启动方.Resources;
using Windows.Storage;
using System.IO;

namespace Phone启动方
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();

            // 用于本地化 ApplicationBar 的示例代码
            //BuildLocalizedApplicationBar();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            filesInit();
            base.OnNavigatedTo(e);
        }

        //生成文件
        private async void Button_Click_1(object sender, RoutedEventArgs e)
        {
            //本地文件夹
            var localFolder = Windows.Storage.ApplicationData.Current.LocalFolder;
            var file = await localFolder.CreateFileAsync(textboxName.Text, CreationCollisionOption.ReplaceExisting);
            var stream = await file.OpenAsync(FileAccessMode.ReadWrite);
            StreamWriter s = new StreamWriter(stream.AsStream(), System.Text.Encoding.Unicode);
            s.Write(textboxContent.Text);
            s.Close();
            filesInit();
        }

        //初始化文件列表
        private async void filesInit()
        {
            //本地文件夹
            var localFolder = Windows.Storage.ApplicationData.Current.LocalFolder;
            var files = await localFolder.GetFilesAsync();
            listboxFiles.ItemsSource = files.Where(x => x.Name.EndsWith(".myfile1") || x.Name.EndsWith(".myfile2"));
        }

        //打开选择的文件，跳转到关联文件的应用
        private async void Button_Click_2(object sender, RoutedEventArgs e)
        {
            StorageFile file = listboxFiles.SelectedItem as StorageFile;
            if (file == null) return;
            //启动指定文件关联的应用去打开文件
            Windows.System.Launcher.LaunchFileAsync(file);
        }
    }
}